#extension GL_OES_EGL_image_external : require

precision mediump float;

// The disparity map. Note that this is monocular (not side-by-side).
uniform sampler2D disparityTex;


// Texture coordinates, ranging from (0, 0) at the bottom-left of the screen,
//   to (1, 1) at the top-right of the screen.
varying vec2 vTextureCoord;

// increase the constrast of the gray scale centered at .5
const float CONTRAST = 4.0;
const float OFFSET = .5 * CONTRAST - .5;

/**
 * This shader program takes in a side-by-side stereo texture and a disparity map,
 *  and outputs a 4-view texture in 2x2 format.
 */
void main() {
    gl_FragColor = texture2D(disparityTex, vTextureCoord * 2.0) ; // to quad
    // amplify the gray
    gl_FragColor = gl_FragColor * CONTRAST - OFFSET;
}
